org.eclipse.graphiti.ui.internal.dnd

## Class ObjectsTransferDropTargetListener

- java.lang.Object
- - org.eclipse.gef.dnd.AbstractTransferDropTargetListener
  - - org.eclipse.graphiti.ui.internal.dnd.ObjectsTransferDropTargetListener

All Implemented Interfaces:
  EventListener, TransferDropTargetListener, DropTargetListener, SWTEventListener

    public class ObjectsTransferDropTargetListener
    extends org.eclipse.gef.dnd.AbstractTransferDropTargetListener

### Constructor Summary

Constructors
Constructor and Description
`ObjectsTransferDropTargetListener(org.eclipse.gef.EditPartViewer viewer)`

### Method Summary

### Methods inherited from class org.eclipse.gef.dnd.AbstractTransferDropTargetListener

`dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept, getCurrentEvent, getTransfer, isEnabled, setCurrentEvent`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectsTransferDropTargetListener

    public ObjectsTransferDropTargetListener(org.eclipse.gef.EditPartViewer viewer)